@font-face {
    font-family: "Raleway", sans-serif;
    font-weight: 300;
    src: url("../fonts/Raleway-Thin.ttf");
}

@font-face {
    font-family: "Raleway", sans-serif;
    font-weight: 500;
    src: url("../fonts/Raleway-Regular.ttf");
}

@font-face {
    font-family: "Raleway", sans-serif;
    font-weight: 700;
    src: url("../fonts/Raleway-Medium.ttf");
}

@font-face {
    font-family: "Raleway", sans-serif;
    font-weight: 900;
    src: url("../fonts/Raleway-Bold.ttf");
}

html,
body {
    min-height: 100vh;
    overflow-x: hidden;
    overflow-y: auto;
}

* {
    font-family: "Raleway", sans-serif;
    font-weight: 300;
}

body {
    display: flex;
    flex-direction: column;
}

.page-wrapper {
    flex-grow: 1;
    overflow: scroll;
}

.page-jumbotron {
    height: 100vh;
    background-image: url("../images/jumbotron.jpg");
    background-attachment: fixed;
    background-size: cover;
    background-position: center center;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
}

/* Let's get this party started */
::-webkit-scrollbar {
    width: 8px;
}

/* Track */
::-webkit-scrollbar-track {
    background-color: rgba(0, 0, 0, 0.1);
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #222222;
}

::-webkit-scrollbar-thumb:window-inactive {
    background: #444444;
}

.jumbotron-inner {
    color: #fff;
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.jumbotron-inner .jumbotron-title {
    font-weight: 900;
    font-size: 3.5em;
}

.jumbotron-inner .jumbotron-description {
    font-weight: 900;
    font-size: 2.5em;
}

.footer {
    background-color: #fff;
}

.table-responsive {
    overflow: hidden;
    max-width: 100%;
}

.user-posts-table tbody tr td {
    vertical-align: middle !important;
}

.user-posts-table thead tr th:first-child,
.user-posts-table thead tr th:last-child,
.user-posts-table thead tr th:nth-child(3),
.user-posts-table tbody tr td:first-child,
.user-posts-table tbody tr td:last-child,
.user-posts-table tbody tr td:nth-child(3) {
    text-align: center;
}

.category-container a img,
.post-container a img {
    opacity: 0.8;
    transition: opacity ease-in 0.2s;
}

.category-container a:hover img,
.post-container a:hover img {
    opacity: 1;
}

.category-container a p,
.post-container a p {
    width: 100%;
    text-align: center;
    margin-top: 10px;
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.category-container a img,
.post-container a img {
    max-width: 100%;
    max-height: 150px;
    overflow: hidden;
}

.category-container a,
.post-container a {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.post-container.full a img,
.category-container.full a img {
    max-height: none;
}

.post-container.full a p,
.category-container.full a p {
    font-size: 22px;
}